## golang-github-go-ap-errors 0.0~git20250501.cd50c6a

=== Makefile ===
GO ?= go
TEST := $(GO) test
TEST_FLAGS ?= -v
TEST_TARGET ?= ./...
GO111MODULE=on
PROJECT_NAME := $(shell basename $(PWD))

.PHONY: test coverage clean download

download:
	$(GO) mod download all

test: download
	$(TEST) $(TEST_FLAGS) $(TEST_TARGET)

coverage: TEST_TARGET := .
coverage: TEST_FLAGS += -covermode=count -coverprofile $(PROJECT_NAME).coverprofile
coverage: test

clean:
	$(RM) -v *.coverprofile

=== debian/changelog ===
golang-github-go-ap-errors (0.0~git20250501.cd50c6a-4) sid; urgency=medium

  * Removing watch file as upstream has no tags.

 -- Daniel Baumann <daniel@debian.org>  Wed, 28 May 2025 12:03:41 +0200

golang-github-go-ap-errors (0.0~git20250501.cd50c6a-3) sid; urgency=medium

  * Adding missing build-depends to golang-github-go-ap-jsonld-dev
    (Closes: #1106651).

 -- Daniel Baumann <daniel@debian.org>  Tue, 27 May 2025 15:45:19 +0200

golang-github-go-ap-errors (0.0~git20250501.cd50c6a-2) sid; urgency=medium

  * Using codenames instead of suitenames in changelog.
  * Harmonizing upload need in initial changelog entry.
  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Tue, 27 May 2025 08:19:27 +0200

golang-github-go-ap-errors (0.0~git20250501.cd50c6a-1) sid; urgency=low

  * Initial upload to sid, needed for forgejo.

 -- Daniel Baumann <daniel@debian.org>  Sun, 18 May 2025 22:32:30 +0200

=== debian/control ===
Source: golang-github-go-ap-errors
Section: golang
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-go-ap-jsonld-dev,
 golang-github-valyala-fastjson-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/go-ap/errors
Vcs-Browser: https://forgejo.debian.net/golang/golang-github-go-ap-errors
Vcs-Git: https://forgejo.debian.net/golang/golang-github-go-ap-errors
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/go-ap/errors

Package: golang-github-go-ap-errors-dev
Section: golang
Architecture: all
Multi-Arch: foreign
Depends:
 golang-github-valyala-fastjson-dev,
 ${misc:Depends},
Description: Errors handling for other go-ap packages (Go library)
 errors is a internal Go library used by other go-ap (ActivityPub) Go libraries.

## golang-github-go-ap-errors 0.0~git20250905.4480b47

=== debian/changelog ===
golang-github-go-ap-errors (0.0~git20250905.4480b47-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 0.0~git20250905.4480b47.

 -- Daniel Baumann <daniel@debian.org>  Fri, 28 Nov 2025 13:06:12 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
  golang-any,
  golang-github-go-ap-jsonld-dev,
  golang-github-valyala-fastjson-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/go-ap/errors
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-go-ap-errors

## golang-github-go-ap-errors 0.0~git20260208.e1b3093

=== debian/changelog ===
golang-github-go-ap-errors (0.0~git20260208.e1b3093-1) sid; urgency=medium

  * Merging upstream version 0.0~git20260208.e1b3093.
  * Updating to standards version 4.7.3.
  * Updating year in copyright for 2026.
  * Moving dh-golang builddirectory to debian/_build.
  * Adding newly required golang-github-google-go-cmp-dev to build-
    depends.

 -- Daniel Baumann <daniel@debian.org>  Sun, 01 Mar 2026 20:31:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,8 +7,9 @@
  dh-sequence-golang,
  golang-any,
  golang-github-go-ap-jsonld-dev,
+ golang-github-google-go-cmp-dev <!nocheck>,
  golang-github-valyala-fastjson-dev,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/go-ap/errors
 Vcs-Browser: https://forgejo.debian.net/golang/golang-github-go-ap-errors
 Vcs-Git: https://forgejo.debian.net/golang/golang-github-go-ap-errors
